Mercury API
FromS16 Method (bytes, offset, value)
Namespaces ► ThingMagic ► ByteConv ► FromS16(array<Byte>[]()[], Int32, Int16)
Insert signed 16-bit integer into big-endian byte string
Declaration Syntax

C# | Visual Basic | Visual C++

    public static int FromS16(
    	byte[] bytes,
    	int offset,
    	short value
    )

    Public Shared Function FromS16 ( _
    	bytes As Byte(), _
    	offset As Integer, _
    	value As Short _
    ) As Integer

    public:
    static int FromS16(
    	array<unsigned char>^ bytes,
    	int offset,
    	short value
    )

Parameters

bytes (array< Byte >[]()[])
  Target big-endian byte string

offset (Int32)
  Location to insert into

value (Int16)
  16-bit integer to insert

Return Value
Number of bytes inserted

Assembly: MercuryAPI (Module: MercuryAPI) Version: 1.29.4.34 (1.29.4.34)